## 3.0.1

* Initial release.

## 3.1.0

* From this version on, the deregistration operation does not require the `aaid` to be provided. Providing no `aaid` in the operation leads to the whole account being deregistered instead of a single authenticator.
* Updated Nevis Mobile Authentication SDK for iOS to version 3.1.0.
* Deregistration in the Identity Suite environment is not working when cookie renewal is enabled on the backend.

## 3.2.0

* Updated Nevis Mobile Authentication SDK for iOS to version 3.2.0.
* We now support disabling the device passcode as fallback for the biometric authenticator. See `Registration.allowDevicePasscodeAsFallback`, `AuthCloudApiRegistration.allowDevicePasscodeAsFallback` and `OutOfBandRegistration.allowDevicePasscodeAsFallback`.
* We now support adding a retry strategy to the device information change operation.
* The `authenticationRetryInterval` and `authenticationMaxRetries` properties have been removed from the `Configuration` object. Use the `Authentication.retryPolicyObtainingAuthorizationProvider` instead.
* We fixed the deregistration operation, the SDK now fully supports the nevisProxy cookie renewal feature.

## 3.3.0

* Updated Nevis Mobile Authentication SDK for iOS to version 3.3.0.
* We now support invalidating the FIDO UAF credentials of biometric and fingerprint authenticators when the user adds new biometric credentials in the OS settings, see `Registration.invalidateOnNewOsBiometrics`.
* We now support providing HTTP request headers that can be sent in the HTTP request during all the operations, see `requestHeaders`.
* From this version on, the `LocalData.deleteAuthenticator` method does not require the `aaid` to be provided. Providing no `aaid` leads to all authenticator data being deleted.
* Removed property validation for all operations as they are now handled by the native SDKs.

## 3.4.0

* From this version on, the signature of the `Authentication.onError` callback function has changed. This method is invoked with an `AuthenticationError` which returns a `SessionProvider` that can be used to continue with the authentication session.
* From this version on, the plugin provides also the device identifier via `DeviceInformation`. It is used in the backend to associate FIDO UAF credentials with a device.
* From this version on, the plugin supports registering authenticators in multiple servers.
* New device passcode authenticator is introduced.
* On new registrations, the biometric credentials will be invalidated when a new biometric is added to the operating system if `invalidateOnNewOsBiometrics` is not invoked (see `Registration.invalidateOnNewOsBiometrics`, `AuthCloudApiRegistration.invalidateOnNewOsBiometrics` and `OutOfBandRegistration.invalidateOnNewOsBiometrics`).
* On new registrations, the device passcode cannot be used with biometric credentials by default (see `Registration.allowDevicePasscodeAsFallback`, `AuthCloudApiRegistration.allowDevicePasscodeAsFallback`, `OutOfBandRegistration.allowDevicePasscodeAsFallback`).