// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData.light(),
      home: const MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({Key? key}) : super(key: key);

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  final _repoLink =
      'https://github.com/nevissecurity/nevis-mobile-authentication-sdk-example-app-flutter';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(title: const Text('Nevis Flutter iOS Demo')),
        body: Padding(
          padding: const EdgeInsets.only(
              top: 16.0, right: 8.0, left: 8.0, bottom: 8.0),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              const Text(
                  'Please find the full example app in the following GitHub repository:'),
              Text(_repoLink),
              TextButton(
                onPressed: () {
                  Clipboard.setData(ClipboardData(text: _repoLink)).then((_) {
                    ScaffoldMessenger.of(context).showSnackBar(const SnackBar(
                        content: Text('Copied to your clipboard!')));
                  });
                },
                child: const Text('Copy link'),
              )
            ],
          ),
        ));
  }
}
