//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

class OutOfBandPayloadDecodeOperation: Operation {
	// MARK: Properties

	var state: OperationState
	var onError: ErrorHandler
	let onSuccess: (OutOfBandPayload) -> ()

	// MARK: Initialization

	init(operationId: String) {
		self.state = NoOperationState()
		self.onSuccess = {
			OnSuccessImpl(operationId: operationId).onSuccess(payload: $0)
		}

		self.onError = { OnErrorImpl(operationId: operationId).onError($0) }
	}

	// MARK: Operation

	func cancel() {
		state.cancel()
	}
}
