//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter

class MethodChannelHandler {
	static let shared = MethodChannelHandler()

	// MARK: Properties

	var channel: FlutterMethodChannel?

	// MARK: Initialization

	private init() { /* . */ }

	// MARK: Public Interface

	func send(message: ChannelOutMessage, for method: ChannelMethod) {
		do {
			let arguments = try JsonMapper.encode(message)
			channel?.invokeMethod(method.rawValue,
			                      arguments: arguments,
			                      result: handleInvokeMethodResult)
		}
		catch {
			OperationCache.shared.delete(by: message.operationId)
			print(error.localizedDescription)
		}
	}
}
