//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

typealias ThrowsCallback = () throws -> ()

struct LocalDeleteAuthenticatorMethodHandler: MethodHandler {
	func execute(using client: MobileAuthenticationClient, with message: ChannelInMessage, result: @escaping FlutterResult) throws {
		let message: LocalDeleteAuthenticatorMessage = try validate(message: message)
		DispatchQueue.global().async {
			do {
				// This method must not be called on DispatchQueue.main thread.
				try client.localData.deleteAuthenticator(username: message.username,
														 aaid: message.aaid)
				DispatchQueue.main.async {
					result(EmptyResultMessage())
				}
			} catch {
				DispatchQueue.main.async {
					result(error.asFlutterError())
				}
			}
		}
	}
}
