//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct LocalDeviceInformationMethodHandler: MethodHandler {
	func execute(using client: MobileAuthenticationClient, with _: ChannelInMessage, result: @escaping FlutterResult) throws {
		guard let deviceInformation = client.localData.deviceInformation else {
			return result(EmptyResultMessage())
		}

		let resultMessage = LocalDeviceInformationResultMessage(deviceInformation: deviceInformation)
		let arguments = try JsonMapper.encode(resultMessage)
		result(arguments)
	}
}
