//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct AuthenticatorAaidMethodHandler: MethodHandler {
	func execute(using _: MobileAuthenticationClient, with message: ChannelInMessage, result: @escaping FlutterResult) throws {
		let message: AuthenticatorAaidMessage = try validate(message: message)
		let operation: UserInteractionOperation = try OperationCache.shared.read(by: message.operationId)
		guard let state = operation.state as? SelectAuthenticatorState else {
			throw PluginError.illegalState("Select Authenticator state is expected!")
		}

		state.handler?.aaid(message.aaid)
		result(EmptyResultMessage())
	}
}
