//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct IsPolicyCompliantMethodHandler: MethodHandler {
	func execute(using _: MobileAuthenticationClient, with message: ChannelInMessage, result: @escaping FlutterResult) throws {
		let message: IsPolicyCompliantMessage = try validate(message: message)
		let operation: UserInteractionOperation = try OperationCache.shared.read(by: message.operationId)
		guard let state = operation.state as? UserInteractionState else {
			throw PluginError.illegalState("Select Account or Authenticator state is expected!")
		}

		let isPolicyCompliant = state.isPolicyCompliant(aaid: message.aaid,
		                                                for: message.username)
		let resultMessage = IsPolicyCompliantResultMessage(isPolicyCompliant: isPolicyCompliant)
		let arguments = try JsonMapper.encode(resultMessage)
		result(arguments)
	}
}
