//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct PinMethodHandler: MethodHandler {
	func execute(using _: MobileAuthenticationClient, with message: ChannelInMessage, result: @escaping FlutterResult) throws {
		let message: PinMessage = try validate(message: message)
		let operation: UserInteractionOperation = try OperationCache.shared.read(by: message.operationId)
		guard let state = operation.state as? EnrollPinState else {
			throw PluginError.illegalState("Enroll Pin state is expected!")
		}

		state.handler?.pin(message.pin)
		result(EmptyResultMessage())
	}
}
