//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct PinsMethodHandler: MethodHandler {
	func execute(using _: MobileAuthenticationClient, with message: ChannelInMessage, result: @escaping FlutterResult) throws {
		let message: PinsMessage = try validate(message: message)
		let operation: PinChangeOperation = try OperationCache.shared.read(by: message.operationId)
		guard let state = operation.state as? PinChange else {
			throw PluginError.illegalState("Pin change state is expected!")
		}

		state.handler?.pins(message.oldPin, message.newPin)
		result(EmptyResultMessage())
	}
}
