//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Flutter
import NevisMobileAuthentication

struct VerifyPinMethodHandler: MethodHandler {
	func execute(using _: MobileAuthenticationClient, with message: ChannelInMessage, result: @escaping FlutterResult) throws {
		let message: VerifyPinMessage = try validate(message: message)
		let operation: UserInteractionOperation = try OperationCache.shared.read(by: message.operationId)
		guard let state = operation.state as? VerifyUserState else {
			throw PluginError.illegalState("Verify User state is expected!")
		}

		state.verify(pin: message.pin)
		result(EmptyResultMessage())
	}
}
