//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Foundation

enum ChannelMethod: String {
	// Incoming calls. The method call stated on Dart side but it is implemented, executed on native side.
	// Basic SDK invocations
	case initClient
	case payloadDecode
	case oobOperation
	case oobRegister
	case oobAuthenticate
	case register
	case authCloudApiRegister
	case authenticate
	case deregister
	case changePin
	case deviceInformationChange

	// Auxiliary SDK invocations
	case cancel
	case accountUsername
	case authenticatorAaid
	case pin
	case pins
	case verifyPin
	case isPolicyCompliant
	case listenForOsCredentials
	case localAccounts
	case localAuthenticators
	case localDeviceInformation
	case localDeleteAuthenticator

	// Outgoing calls. The method call is started on native side but it is implemented, executed on Dart side.
	case onSuccess
	case onError
	case operationType
	case selectAccount
	case selectAuthenticator
	case enrollPin
	case verifyUser
}
