//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Foundation

class IsPolicyCompliantResultMessage: ChannelResultMessage {
	// MARK: Properties

	let isPolicyCompliant: Bool

	// MARK: Initialization

	init(isPolicyCompliant: Bool) {
		self.isPolicyCompliant = isPolicyCompliant
		super.init()
	}

	// MARK: Encodable

	override func encode(to encoder: Encoder) throws {
		var container = encoder.container(keyedBy: ResultMessageCodingKeys.self)
		try container.encode(isPolicyCompliant, forKey: .result)
		try super.encode(to: encoder)
	}
}
