//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import NevisMobileAuthentication

class LocalAuthenticatorsResultMessage: ChannelResultMessage {
	// MARK: Properties

	let authenticators: [TypedAuthenticator]

	// MARK: Initialization

	init(authenticators: [any Authenticator]) {
		self.authenticators = authenticators.map { TypedAuthenticator(wrapped: $0) }
		super.init()
	}

	// MARK: Encodable

	override func encode(to encoder: Encoder) throws {
		var container = encoder.container(keyedBy: ResultMessageCodingKeys.self)
		try container.encode(authenticators, forKey: .result)
		try super.encode(to: encoder)
	}
}
