//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import NevisMobileAuthentication

class LocalDeviceInformationResultMessage: ChannelResultMessage {
	// MARK: Properties

	let deviceInformation: DeviceInformation

	// MARK: Initialization

	init(deviceInformation: DeviceInformation) {
		self.deviceInformation = deviceInformation
		super.init()
	}

	// MARK: Encodable

	override func encode(to encoder: Encoder) throws {
		var container = encoder.container(keyedBy: ResultMessageCodingKeys.self)
		try container.encode(deviceInformation, forKey: .result)
		try super.encode(to: encoder)
	}
}
