//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import NevisMobileAuthentication

struct TypedPinChangeRecoverableError: Encodable {
	// MARK: Properties

	let wrapped: PinChangeRecoverableError

	// MARK: Encodable

	enum CodingKeys: CodingKey {
		case description
	}

	func encode(to encoder: Encoder) throws {
		var container = encoder.container(keyedBy: TypedCodingKeys.self)
		try container.encode(wrapped.mirror.label, forKey: .type)
		var dataContainer = container.nestedContainer(keyedBy: CodingKeys.self, forKey: .data)
		try dataContainer.encode(wrapped.localizedDescription, forKey: .description)
	}
}
