//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import NevisMobileAuthentication

class OnErrorImpl {
	// MARK: Properties

	let operationId: String

	// MARK: Initialization

	init(operationId: String) {
		self.operationId = operationId
	}
}

// MARK: - Public Interface

extension OnErrorImpl {
	func onError(_ error: MobileAuthenticationClientError?) {
		let message = OnErrorMessage(operationId: operationId,
		                             error: error)
		MethodChannelHandler.shared.send(message: message, for: .onError)
	}
}
