//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import NevisMobileAuthentication

class OnSuccessImpl {
	// MARK: Properties

	let operationId: String

	// MARK: Initialization

	init(operationId: String) {
		self.operationId = operationId
	}
}

// MARK: - Public Interface

extension OnSuccessImpl {
	func onSuccess(authorizationProvider: AuthorizationProvider? = nil, payload: OutOfBandPayload? = nil) {
		let message = OnSuccessMessage(operationId: operationId,
		                               authorizationProvider: authorizationProvider,
		                               payload: payload)
		MethodChannelHandler.shared.send(message: message, for: .onSuccess)
	}
}
