//
// Copyright © 2022 Nevis Security AG. All rights reserved.
//

import Foundation

extension Error {
	var mirror: (label: String, params: [String: Any]) {
		let reflection = Mirror(reflecting: self)
		guard reflection.displayStyle == .enum,
		      let associated = reflection.children.first
		else {
			return ("\(self)", [:])
		}
		let values = Mirror(reflecting: associated.value).children
		var valuesMap = [String: Any]()
		for case let item in values where item.label != nil {
			valuesMap[item.label!] = item.value
		}
		return (associated.label!, valuesMap)
	}
}
