require 'yaml'

pubspec = YAML.load_file(File.join('..', 'pubspec.yaml'))
library_version = pubspec['version'].gsub('+', '-')

Pod::Spec.new do |s|
	s.name          = pubspec['name']
	s.version       = library_version
	s.summary       = pubspec['description']
	s.description   = pubspec['description']
	s.homepage      = pubspec['homepage']
	s.license       = { :file => '../LICENSE' }
	s.author        = { "Nevis" => "mobile-authentication@nevis-security.com" }
	s.source        = { :path => '.' }

	s.platform      = :ios, '12.0'
	s.swift_version = '5.5'
	s.source_files  = 'Classes/**/*'

	s.dependency 'Flutter'
	s.dependency 'NevisMobileAuthentication', '~> 3.4.0'
	s.dependency 'NevisMobileAuthentication-Debug', '~> 3.4.0'

	# Flutter.framework does not contain a i386 slice.
	s.pod_target_xcconfig = {
		'DEFINES_MODULE' => 'YES',
		'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386'
	}
end
