// Copyright © 2022 Nevis Security AG. All rights reserved.

// ignore_for_file: unused_field

import 'package:flutter/services.dart';
import 'package:nevis_mobile_authentication_sdk_platform_interface/nevis_mobile_authentication_sdk_platform_interface.dart';

/// iOS side implementation of [OsAuthenticationListenHandlerPlatformInterface].
class MethodChannelIosOsAuthenticationInteractions
    extends OsAuthenticationListenHandlerPlatformInterface {
  final MethodChannel _channel;

  /// Default constructor for [MethodChannelIosOsAuthenticationInteractions].
  MethodChannelIosOsAuthenticationInteractions(this._channel);

  @override
  Future<void> cancelAuthentication(String operationId) async {
    // not supported on iOS
    return Future.value();
  }

  @override
  Future<void> pauseListening(String operationId) async {
    // not supported on iOS
    return Future.value();
  }

  @override
  Future<void> resumeListening(String operationId) async {
    // not supported on iOS
    return Future.value();
  }
}
