// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'authorization_provider_test_data.dart';
import 'common_test_data.dart';
import 'request_headers_test_data.dart';
import 'retry_policy_test_data.dart';

class AuthenticationTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'accountSelectorProvided': false,
    'authenticatorSelectorProvided': true,
    'pinEnrollerProvided': false,
    'pinUserVerifierProvided': true,
    'biometricUserVerifierProvided': true,
    'devicePasscodeUserVerifierProvided': true,
    'fingerprintUserVerifierProvided': true,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };

  static final correctAllArguments = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'sessionProvider':
        AuthorizationProviderTestData.typedCookieSessionProviderMap,
    'retryPolicy': RetryPolicyTestData.constantRetryPolicyMap,
    'requestHeaders': RequestHeadersTestData.requestHeadersMap,
    'accountSelectorProvided': false,
    'authenticatorSelectorProvided': true,
    'pinEnrollerProvided': false,
    'pinUserVerifierProvided': true,
    'biometricUserVerifierProvided': true,
    'devicePasscodeUserVerifierProvided': true,
    'fingerprintUserVerifierProvided': true,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };
}
