// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'package:nevis_mobile_authentication_sdk_platform_interface/nevis_mobile_authentication_sdk_platform_interface.dart';

import 'common_test_data.dart';

class AuthenticatorTestData {
  static Authenticator authenticator1 = Authenticator(
    aaid: CommonTestData.aaid1,
    isSupportedByHardware: true,
    registration: RegistrationInfo(
      registeredAccounts: {
        CommonTestData.account1,
        CommonTestData.account2,
      },
    ),
    userEnrollment: SdkUserEnrollment(
      enrolledAccounts: {CommonTestData.account1},
    ),
  );

  static Authenticator authenticator2 = Authenticator(
    aaid: CommonTestData.aaid2,
    isSupportedByHardware: true,
    registration: RegistrationInfo(
      registeredAccounts: {CommonTestData.account1},
    ),
    userEnrollment: OsUserEnrollment(
      isOSEnrolled: true,
    ),
  );

  static Authenticator authenticator3 = Authenticator(
    aaid: CommonTestData.aaid3,
    isSupportedByHardware: true,
    registration: RegistrationInfo(
      registeredAccounts: {CommonTestData.account1},
    ),
    userEnrollment: OsUserEnrollment(
      isOSEnrolled: true,
    ),
  );

  static final authenticator1Map = {
    'aaid': CommonTestData.aaid1,
    'isSupportedByHardware': true,
    'registration': {
      'registeredAccounts': [
        {
          'username': CommonTestData.username1,
          'server': {'baseUrl': CommonTestData.baseUrl1}
        },
        {
          'username': CommonTestData.username2,
          'server': {'baseUrl': CommonTestData.baseUrl2}
        },
      ]
    },
    'userEnrollment': {
      'enrolledAccounts': [
        {
          'username': CommonTestData.username1,
          'server': {'baseUrl': CommonTestData.baseUrl1}
        }
      ]
    }
  };

  static final typedAuthenticator1Map = {
    'operationId': CommonTestData.operationId,
    'aaid': CommonTestData.aaid1,
    'isSupportedByHardware': true,
    'registration': {
      'registeredAccounts': [
        {
          'username': CommonTestData.username1,
          'server': {'baseUrl': CommonTestData.baseUrl1}
        },
      ]
    },
    'userEnrollment': {
      'type': 'SdkUserEnrollment',
      'data': {
        'enrolledAccounts': [
          {
            'username': CommonTestData.username1,
            'server': {'baseUrl': CommonTestData.baseUrl1}
          }
        ]
      }
    }
  };

  static final typedAuthenticator2Map = {
    'operationId': CommonTestData.operationId,
    'aaid': CommonTestData.aaid2,
    'isSupportedByHardware': true,
    'registration': {
      'registeredAccounts': [
        {
          'username': CommonTestData.username1,
          'server': {'baseUrl': CommonTestData.baseUrl1}
        },
        {
          'username': CommonTestData.username2,
          'server': {'baseUrl': CommonTestData.baseUrl2}
        }
      ]
    },
    'userEnrollment': {
      'type': 'OsUserEnrollment',
      'data': {
        'isEnrolled': true,
      }
    }
  };
}
