// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';
import 'pin_authenticator_protection_status_test_data.dart';

/// Test data for native -> dart calls
class ChangePinInTestData {
  static final typedLastRecoverableErrorMap = {
    'type': 'InvalidPin',
    'data': {
      'description': 'Current pin was invalid.',
    }
  };

  static final typedContextMap = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'authenticatorProtectionStatus': {
      'type': "LastAttemptFailed",
      'data': {
        'remainingRetries': 4,
        'coolDownTimeInSec': 30,
      }
    },
    'lastRecoverableError': typedLastRecoverableErrorMap,
  };

  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'context': typedContextMap,
  };

  static final wrongArguments = {
    'operationId': CommonTestData.operationId,
    'context': {
      'operationId': CommonTestData.operationId,
      'username': CommonTestData.username1,
      'authenticatorProtectionStatus': {
        'type': 'LastAttemptFailed',
        'data': {
          'remainingRetries': 4,
          'coolDownTimeInSec': 30,
        }
      },
      'lastRecoverableError': {
        'type': 'UnknownType',
        'data': {
          'description': 'Current pin was invalid.',
        }
      }
    },
  };

  static final wrongIdArguments = {
    'operationId': CommonTestData.wrongId,
    'context': {
      'operationId': CommonTestData.wrongId,
      'username': CommonTestData.username1,
      'authenticatorProtectionStatus':
          PinAuthenticatorProtectionStatusTestData.typedLastAttemptFailedMap,
      'lastRecoverableError': {
        'type': 'InvalidPin',
        'data': {
          'description': 'Current pin was invalid.',
        }
      }
    },
  };
}

/// Test data for dart -> native calls
class ChangePinOutTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'pinPolicy': {
      'maxLength': 6,
      'minLength': 6,
    },
    'onSuccessProvided': true,
    'onErrorProvided': true,
    'pinChangerProvided': true,
  };
}
