// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'package:flutter/cupertino.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:nevis_mobile_authentication_sdk_platform_interface/nevis_mobile_authentication_sdk_platform_interface.dart';

class CommonTestData {
  @protected
  CommonTestData();

  static const String methodChannelName = 'nevis_mobile_authentication_sdk_ios';

  // Responses
  static Map<String, dynamic> emptyResponse =
      Map<String, dynamic>.fromEntries([]);
  static Map<String, dynamic> simpleBoolSuccessResponse =
      Map<String, dynamic>.from(Map<String, dynamic>.fromEntries([
    const MapEntry('result', true),
  ]));

  static Matcher platformChannelExceptionMatcher =
      equals("Instance of 'PlatformChannelException'");

  // Operation identifiers
  static String operationId = 'process1';
  static String wrongId = 'wrongId';

  // Usernames
  static String username1 = 'testUsername1';
  static String username2 = 'testUsername2';

  // Base URLs
  static String baseUrl1 = 'myinstance1.mauth.nevis.cloud';
  static String baseUrl2 = 'myinstance2.mauth.nevis.cloud';

  // Accounts
  static Account account1 = Account(
      username: CommonTestData.username1, server: Server(baseUrl: baseUrl1));
  static Account account2 = Account(
      username: CommonTestData.username2, server: Server(baseUrl: baseUrl2));

  // Authenticator AAIDs
  static String aaid1 = 'F1D0#1001';
  static String aaid2 = 'F1D0#1002';
  static String aaid3 = 'F1D0#1003';
  static String unknownAaid = 'xyz';
}
