// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';
import 'device_information_test_data.dart';
import 'request_headers_test_data.dart';
import 'retry_policy_test_data.dart';

class DeviceInformationChangeTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'name': DeviceInformationTestData.deviceName,
    'fcmRegistrationToken': DeviceInformationTestData.fcmRegistrationToken,
    'disablePushNotifications': false,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };

  static final correctNoRetryArguments = {
    'operationId': CommonTestData.operationId,
    'name': DeviceInformationTestData.deviceName,
    'fcmRegistrationToken': DeviceInformationTestData.fcmRegistrationToken,
    'disablePushNotifications': false,
    'retryPolicy': RetryPolicyTestData.noRetryPolicyMap,
    'requestHeaders': RequestHeadersTestData.requestHeadersMap,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };

  static final correctConstantRetryArguments = {
    'operationId': CommonTestData.operationId,
    'name': DeviceInformationTestData.deviceName,
    'fcmRegistrationToken': DeviceInformationTestData.fcmRegistrationToken,
    'disablePushNotifications': false,
    'retryPolicy': RetryPolicyTestData.constantRetryPolicyMap,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };

  static final correctExponentialRetryArguments = {
    'operationId': CommonTestData.operationId,
    'name': DeviceInformationTestData.deviceName,
    'fcmRegistrationToken': DeviceInformationTestData.fcmRegistrationToken,
    'disablePushNotifications': false,
    'retryPolicy': RetryPolicyTestData.exponentialRetryPolicyMap,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };
}
