// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';

class EnrollPinTestData {
  static final typedContextMap = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'lastRecoverableError': {
      'type': 'InvalidPinFormat',
      'data': {
        'description': 'Current pin format was invalid.',
      }
    }
  };

  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'context': typedContextMap,
  };

  static final wrongArguments = {
    'operationId': CommonTestData.wrongId,
    'context': {
      'operationId': CommonTestData.wrongId,
      'username': CommonTestData.username1,
      'lastRecoverableError': {
        'wrongKey': 'Pin was too short.',
      }
    },
  };

  static final wrongIdArguments = {
    'operationId': CommonTestData.wrongId,
    'context': {
      'operationId': CommonTestData.wrongId,
      'username': CommonTestData.username1,
    },
  };
}
