// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'authorization_provider_test_data.dart';
import 'common_test_data.dart';
import 'device_information_test_data.dart';
import 'pin_policy_test_data.dart';
import 'request_headers_test_data.dart';

class RegistrationTestData {
  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'pinPolicy': PinPolicyTestData.pinPolicyMap,
    'accountSelectorProvided': false,
    'authenticatorSelectorProvided': true,
    'pinEnrollerProvided': true,
    'pinUserVerifierProvided': false,
    'biometricUserVerifierProvided': true,
    'devicePasscodeUserVerifierProvided': true,
    'fingerprintUserVerifierProvided': true,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };

  static final correctAllArguments = {
    'operationId': CommonTestData.operationId,
    'username': CommonTestData.username1,
    'serverUrl': CommonTestData.baseUrl1,
    'deviceInformation': DeviceInformationTestData.deviceInformationMap,
    'authorizationProvider':
        AuthorizationProviderTestData.typedCookieAuthorizationProviderMap,
    'pinPolicy': PinPolicyTestData.pinPolicyMap,
    'allowClass2Sensors': true,
    'allowDevicePasscodeAsFallback': true,
    'invalidateOnNewOsBiometrics': true,
    'requestHeaders': RequestHeadersTestData.requestHeadersMap,
    'accountSelectorProvided': false,
    'authenticatorSelectorProvided': true,
    'pinEnrollerProvided': true,
    'pinUserVerifierProvided': false,
    'biometricUserVerifierProvided': true,
    'devicePasscodeUserVerifierProvided': true,
    'fingerprintUserVerifierProvided': true,
    'onSuccessProvided': true,
    'onErrorProvided': true,
  };
}
