// Copyright © 2023 Nevis Security AG. All rights reserved.

import 'package:nevis_mobile_authentication_sdk_platform_interface/nevis_mobile_authentication_sdk_platform_interface.dart';

class RetryPolicyTestData {
  static const maxRetries = 3;
  static const delayInSeconds = 30;
  static const multiplier = 0.5;
  static const maximumDelayInSeconds = 300;
  static final constantRetryPolicy = ConstantRetryPolicy(
    maxRetries: maxRetries,
    delayInSeconds: const Duration(seconds: delayInSeconds),
  );

  static final exponentialRetryPolicy = ExponentialRetryPolicy(
    maxRetries: maxRetries,
    initialDelayInSeconds: const Duration(seconds: delayInSeconds),
    multiplier: multiplier,
    maximumDelayInSeconds: const Duration(seconds: maximumDelayInSeconds),
  );

  static final noRetryPolicyMap = {
    'type': 'noRetry',
    'data': {},
  };

  static final constantRetryPolicyMap = {
    'type': 'constant',
    'data': {
      'maxRetries': maxRetries,
      'delayInSeconds': delayInSeconds,
    }
  };

  static final exponentialRetryPolicyMap = {
    'type': 'exponential',
    'data': {
      'maxRetries': maxRetries,
      'initialDelayInSeconds': delayInSeconds,
      'multiplier': multiplier,
      'maximumDelayInSeconds': maximumDelayInSeconds,
    }
  };
}
