// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'authenticator_test_data.dart';
import 'common_test_data.dart';

class SelectAuthenticatorTestData {
  static final typedContextMap = {
    'operationId': CommonTestData.operationId,
    'account': {
      'username': CommonTestData.username1,
      'server': {'baseUrl': CommonTestData.baseUrl1}
    },
    'authenticators': [AuthenticatorTestData.typedAuthenticator1Map],
    'transactionConfirmationData': 'asd'
  };

  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'context': typedContextMap,
  };

  static final wrongArguments = {
    'operationId': CommonTestData.operationId,
    'context': {
      'operationId': CommonTestData.operationId,
      'account': {
        'username': CommonTestData.username1,
        'server': {'baseUrl': CommonTestData.baseUrl1}
      },
      'transactionConfirmationData': null,
      'authenticators': [
        {
          'operationId': CommonTestData.operationId,
          'aaid': CommonTestData.aaid1,
          'isSupportedByHardware': true,
          'registration': {'registeredAccounts': []},
          'userEnrollment': {
            'type': 'UnknownUserEnrollment',
            'data': {'enrolledAccounts': []},
          },
        }
      ]
    }
  };

  static final wrongIdArguments = {
    'operationId': CommonTestData.wrongId,
    'context': {
      'operationId': CommonTestData.wrongId,
      'operation': 'Reg',
      'account': {
        'username': CommonTestData.username1,
        'server': {'baseUrl': CommonTestData.baseUrl1}
      },
      'transactionConfirmationData': null,
      'authenticators': [
        {
          'operationId': CommonTestData.wrongId,
          'aaid': CommonTestData.aaid1,
          'isSupportedByHardware': true,
          'registration': {'registeredAccounts': []},
          'userEnrollment': {
            'type': 'SdkUserEnrollment',
            'data': {'enrolledAccounts': []},
          },
        }
      ]
    }
  };
}
