// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'package:flutter_test/flutter_test.dart';
import 'package:mockito/mockito.dart';
import 'package:nevis_mobile_authentication_sdk_ios/nevis_mobile_authentication_sdk_ios.dart';

import '../test_data/common_test_data.dart';
import '../util/ios_test_init.dart';

void main() {
  IosTestInit.initIosTestCase();

  group(NevisMobileAuthenticationSdkIos, () {
    late NevisMobileAuthenticationSdkIos sdk;

    group("Given resumeListening is called", () {
      setUp(() {
        sdk = NevisMobileAuthenticationSdkIos();
      });

      tearDown(() {
        resetMockitoState();
      });

      group("When the state is correct", () {
        test("Then void result is returned", () async {
          await sdk.osAuthenticationInteractions
              .resumeListening(CommonTestData.operationId);
        });
      });
    });
  });
}
