// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';

extension MethodChannelNativeCallMock on MethodChannel {
  Future<dynamic> invokeMockMethod(String method, dynamic arguments) async {
    const codec = JSONMethodCodec();
    final data = codec.encodeMethodCall(MethodCall(method, arguments));
    var binding = TestWidgetsFlutterBinding.ensureInitialized();
    var result = await binding.defaultBinaryMessenger
        .handlePlatformMessage(name, data, null);
    if (result != null) {
      return codec.decodeEnvelope(result);
    }
    return null;
  }
}
